#include "ChronoProfile.h"

// Constructor implementation
ChronoProfile::ChronoProfile() {}
ChronoProfile::ChronoProfile(GunProfile gunProfile, ProjectileProfile projectileProfile) {
   _gunProfile=gunProfile;
   _projectileProfile=projectileProfile;
}
GunProfile ChronoProfile::getGunProfile(){return _gunProfile;}
void ChronoProfile::setGunProfile(GunProfile profile){_gunProfile=profile;}
ProjectileProfile ChronoProfile::getProjectileProfile(){return _projectileProfile;}
void ChronoProfile::setProjectileProfile(ProjectileProfile profile){_projectileProfile=profile;}